Debian Bug report logs - #4588
[DPKG-SOURCE] dpkg-source can not handle binary files in source tree.

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Dominik Kubla <kubla@netz.klinik.uni-mainz.de>

Date: Wed, 25 Sep 1996 17:18:04 UTC

Severity: wishlist

Merged with 4628

Found in version 1.4.0

Fixed in version dpkg/1.14.17

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-devel@lists.debian.org, Ian Jackson <ian@chiark.greenend.org.uk>:
Bug#4588; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Dominik Kubla <kubla@netz.klinik.uni-mainz.de>:
New bug report received and forwarded. Copy sent to Ian Jackson <ian@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominik Kubla <kubla@netz.klinik.uni-mainz.de>
To: submit@bugs.debian.org
Subject: dpkg-source can not handle binary files in source tree.
Date: Wed, 25 Sep 1996 18:49:00 +0200
Package: dpkg
Version: 1.4.0.1

dpkg-buildpackage fails to build packages with binary data files in the source
tree because dpkg-source bails out when doing the diffs.  This prevents the
build of the kbd package.





Severity set to `wishlist'. Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>:
Bug#4588; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to remco@blaakmeer.student.utwente.nl (Remco Blaakmeer):
Extra info received and forwarded to maintainer. Copy sent to Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #12 received at 4588-maintonly@bugs.debian.org (full text, mbox):

From: remco@blaakmeer.student.utwente.nl (Remco Blaakmeer)
To: 4588-maintonly@bugs.debian.org
Subject: Old bugs need to be looked at
Date: Sun, 1 Feb 1998 12:23:06 +0100 (CET)
This is an automated message sent to all bugs older than one year.

This bug is very old. Please take a look at it and see if you can fix it.
If it has already been fixed, please close it.

If you have problems fixing it or if you don't have the time to fix it,
please ask the people on debian-devel@lists.debian.org for help, so that
at least the oldest bugs can be solved before Debian 2.0 is released.

Remco Blaakmeer


Bug reassigned from package `dpkg' to `dpkg-dev'. Request was from Josip Rodin <jrodin@public.srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 4588 4628. Request was from Ben Harris <bjh21@cam.ac.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam Heath <doogie@brainfood.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#4588; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 4588-quiet@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: debian-dpkg@lists.debian.org
Subject: sourcev3 branch - quilt based source package
Date: Sat, 15 Mar 2008 15:24:33 +0100
Hello,

I pushed the last (functional) changes that I wanted to have in the
sourcev3 branch: a module handling a format named "3.0 (quilt)" which
is wig&pen based. I made the choice to directly use quilt if available
so that after extraction, one can continue to use quilt without finding a
way to recreate the ".pc" directory. Also the source generation is smart
enough to ignore this directory.

I would like some people to try running the code in that branch and report
problems/suggestions. I built the package for your convenience:
http://people.debian.org/~hertzog/packages/dpkg_1.14.17~srcv3_i386.changes

Using a new source format can be done either by adding a "Format: 3.0
(quilt/git/native)" field to debian/control (in the source stanza) or
adding a parameter to dpkg-source like:
dpkg-source "--format=3.0 (quilt)" -b package-X.Y/

We're approaching a state where it could be merged. What's left is:
- update entirely the dpkg-source manual page
- add non-regression tests on (some of) the modules created
- copy upstream tarballs in the extraction directory for
  all formats (and take it the relevant part out of the Format: 1.0 code).

My personal wish is that the new format "3.0 (quilt)" becomes the default
build format in lenny+1 (as soon as ftp-master accept it).

We also have a bunch of wishlist bugs against dpkg-source and I wonder
which are important enough to warrant changes and/or addition of new
features in the "3.0 (quilt)" format. Your comments are welcome... please
put in CC the relevant bugs.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=366555
Right now, all patched files are modified to have the same timestamp and
the generated patches do not contain timestamps. This bug request the
inclusion of timestamp in patches files and that the timestamp be
respected at unpack time. Given everything I've read in the BTS, I'm not
sure it's a good idea.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=4588
Support addition of binary files. Now that the debian directory
is stored in a separate tarball, it's possible to add binary files
in the debian directory but it's not possible to add them directly in some
upstream directory, they have to be moved in place at build time if
needed. Is that enough to consider this bug solved?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=12564
Allow removal of files with patches. I think I'm going to implement this
one. It simply requires adding -E to the patch call and quilt already
use -E by default. However I won't change the fact that a removed file
is ignored during generation of a patch (at least by default, maybe I'll
add an option to change this behaviour).

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=435126
Ignore by default all VCS specific directories in native tarballs.

There are
Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Message sent on to Dominik Kubla <kubla@netz.klinik.uni-mainz.de>:
Bug#4588. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#4588; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 4588@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: control@bugs.debian.org
Cc: 12564@bugs.debian.org, 203792@bugs.debian.org, 220758@bugs.debian.org, 246918@bugs.debian.org, 323909@bugs.debian.org, 363018@bugs.debian.org, 366555@bugs.debian.org, 435126@bugs.debian.org, 4588@bugs.debian.org, 4628@bugs.debian.org, 463048@bugs.debian.org
Subject: setting package to dselect dpkg-dev dpkg, tagging 203792, tagging 463048, tagging 4588, tagging 12564 ...
Date: Thu, 27 Mar 2008 21:26:24 +0100
# Automatically generated email from bts, devscripts version 2.10.20
#
# dpkg (1.14.17) UNRELEASED; urgency=low
#
#  * Merge of the sourcev3 branch. dpkg-source has been heavily refactored to
#    make it easier to support multiple source package formats. Several new
#    source package formats have been added:
#    - the format "2.0" is the original wig&pen
#    - the format "3.0 (quilt)" is based on 2.0. It uses a tarball for the
#      debian directory and can thus include binary files. Binaries
#      outside of the debian directory can be also included if they
#      are listed in debian/source/include-binaries (and option
#      --include-binaries will generate this file automatically).
#      Closes: #4588, #4628
#    - thus it will also preserve timestamps on Debian-provided
#      documentation like README.Debian. Closes: #366555
#    - it handles an explicit series of patches and the patch can thus be
#      named without constraints. Patches can contain arbitrary
#      headers/comments between file chunks. Closes: #363018
#    - it ignores changes on a number of temporary and VCS-specific files
#      by default. Closes: #203792, #323909
#    - the patches in debian/patches can remove files. Closes: #12564
#    - the patches are applied at unpack time. Closes: #463048
#    - the formats "3.0 (quilt/native)" don't include VCS directories by
#      default. Closes: #435126
#    - the format "3.0 (custom)" can be used to create a source package
#      containing arbitrary files. It's useful for helper tools that can
#      generate the files by themselves in a more efficient way
#      (like all the *-buildpackage tools). Closes: #246918
#    - the formats "3.0 (git/bzr)" are experimental formats based
#      on corresponding VCS repositories.
#  * dpkg-source has a new --no-check option. It disables GPG check and
#    checksums checks. Closes: #220758
#

package dselect dpkg-dev dpkg
tags 203792 + pending
tags 463048 + pending
tags 4588 + pending
tags 12564 + pending
tags 4628 + pending
tags 435126 + pending
tags 366555 + pending
tags 246918 + pending
tags 323909 + pending
tags 220758 + pending
tags 363018 + pending





Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 27 Mar 2008 20:36:24 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 27 Mar 2008 20:36:25 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dominik Kubla <kubla@netz.klinik.uni-mainz.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 4588-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 4588-close@bugs.debian.org
Subject: Bug#4588: fixed in dpkg 1.14.17
Date: Sun, 30 Mar 2008 10:17:05 +0000
Source: dpkg
Source-Version: 1.14.17

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.17_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.17_all.deb
dpkg_1.14.17.dsc
  to pool/main/d/dpkg/dpkg_1.14.17.dsc
dpkg_1.14.17.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.17.tar.gz
dpkg_1.14.17_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.17_i386.deb
dselect_1.14.17_i386.deb
  to pool/main/d/dpkg/dselect_1.14.17_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 4588@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Mar 2008 12:48:22 +0300
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source i386 all
Version: 1.14.17
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 4588 4628 4655 12564 17243 68981 114774 142042 151540 203792 215374 217622 220758 246918 248693 255882 308285 311843 323909 355654 363018 366555 379028 435126 439979 443338 445552 448946 453267 462225 462403 462413 463048 463398 465282 465420 465651 466135 466321 466957 467470 468916 469520 469838 471342 472332
Changes: 
 dpkg (1.14.17) experimental; urgency=low
 .
   [ Guillem Jover ]
   * Replace strdup plus error checking usage with a new m_strdup function.
     Closes: #379028
   * Add new keybinding in dselect to restore all selections back to
     whatever's currently installed. Closes: #151540
     Thanks to Colin Watson.
   * Use system timersub and fix timeval normalization in multiplication in
     start-stop-daemon. Thanks to Andreas Påhlsson. Closes: #462225
   * Cosmetic fixes to start-stop-daemon output and man page. Document that
     --chuid will change the group even if it has not been specified. Add
     EXIT STATUS and EXAMPLE sections to man page. Thanks to Justin Pryzby.
   * Add Raphael Hertzog to Uploaders, and remove Brendan O'Dea and
     Christian Perrier with their permission.
   * Use functions from libcompat when those are not provided by the system.
     - Add strnlen to libcompat.
     - Link programs against libcompat which provides obstack. Closes: #142042
   * Change dpkg-gencontrol to not output the Homapage field on udeb.
   * Reintroduce 'no-debsig' back in dpkg.cfg to avoid failing to install any
     package when debsig-verify is installed. Closes: #311843
   * Fix some small memory leaks. Closes: #469520
     Thanks to Sean Finney.
   * Correct broken dselect logic for self-conflicting packages.
     Thanks to Ian Jackson.
   * Implement 'Breaks' properly in dselect. Closes: #448946
     Thanks to Ian Jackson.
   * Fix erroneous description of Breaks in dselect output.
     Thanks to Ian Jackson.
   * Allow compilation with --disable-nls on systems without libintl.h where
     a non glibc claims to be glibc. Closes: #465420
   * Fix crash when a .deb file becomes unreadable while dpkg is starting.
     Thanks to Ian Jackson. Closes: #255882
   * Few file descriptor cleanup and error handling fixes.
     Thanks to Ian Jackson. Closes: #443338
   * Move test suite invokation to a new check target in debian/rules.
   * Add support for nocheck DEB_BUILD_OPTIONS in debian/rules, so that the
     dpkg test suite can be skept if desired.
   * Improve log and status-fd output by printing more status change updates
     and actions. Thanks to Ian Jackson.
   * Implement triggers support. Thanks to Ian Jackson.
     Closes: #17243, #68981, #215374, #217622, #248693, #308285
 .
   [ Raphael Hertzog ]
   * Add a warning displayed by dpkg-genchanges if the current version is
     smaller than the previous one. Closes: #4655
   * Add -d and -c options in dpkg-checkbuilddeps to override
     build-depends/conflicts. Closes: #114774
   * Include list of libraries in dpkg-gensymbols' warning about new/lost
     libraries.
   * Add -R option to dpkg-buildpackage so that one can replace the usual
     "debian/rules" by something else. Closes: #355654
   * Always list all binary packages in the Description: field of .changes
     files. It's nice for reviewers and mentors.debian.net was using this field
     on source only uploads to display short description of what the package is
     about.
   * Handle the case when the library has a different SONAME than the one used
     to find it. Closes: #462413
   * Fix Dpkg::Version and Dpkg::Fields::Object to import _g() from
     Dpkg::Gettext. Thanks to Adam Heath and Olivier Berger for spotting
     this. Closes: #465651
   * Change PATH during make check to look into build directories containing
     dpkg and the related scripts. Thanks to Mike Frysinger. Closes: #466957
   * Some lintian cleanup:
     - add overrides for some useless I: tags
     - drop unused overrides
     - updated several manual pages to fix hyphen-used-as-minus-sign
     - fixed manpage-has-errors-from-man in several manual pages
     - removed empty debian/dpkg.prerm
   * Removed old upgrade code from dpkg's preinst and postinst which only
     concerns upgrading from dpkg version older than the one in oldstable
     already. And thus we get rid of old the last usage of read in those
     scripts (fixes lintian's warning read-in-maintainer-script).
   * Removed sorting of dependencies in dpkg-gencontrol and dpkg-source. But
     kept it for all other fields (Enhances, Conflicts, Replaces, Breaks,
     Build-Conflicts and Build-Conflicts-Indep).
   * Instead changed dpkg-shlibdeps to sort the dependencies generated in
     ${shlibs:*} variables.
   * Changed the logic of simplification of dependencies: if any dependency
     must be discarded due to another dependency appearing further
     in the field, the superseding dependency will take the place of the
     discarded one. Added a test case for this.
   * dpkg-shlibdeps properly accounts usage of symbols provided by private
     libraries without SONAME. Closes: #469838
   * Add a new warning to dpkg-shlibdeps when a library NEEDED is in fact
     not used by any of the binaries analyzed. Closes: #472332
   * Add a new --warnings=<value> option to select the set of warnings to
     activate. By default, do not activate the warning about useless
     libraries at the binary level (instead the new warning above is activated
     by default: it's less strict and more useful).
   * dpkg-source has been heavily refactored to make it easier to support
     multiple source package formats. Several new source package formats have
     been added:
     - the format "2.0" is the original wig&pen
     - the format "3.0 (quilt)" is based on 2.0. It uses a tarball for the
       debian directory and can thus include binary files. Binaries
       outside of the debian directory can be also included if they
       are listed in debian/source/include-binaries (and option
       --include-binaries will generate this file automatically).
       Closes: #4588, #4628
     - thus it will also preserve timestamps on Debian-provided
       documentation like README.Debian. Closes: #366555
     - it handles an explicit series of patches and the patch can thus be
       named without constraints. Patches can contain arbitrary
       headers/comments between file chunks. Closes: #363018
     - it ignores changes on a number of temporary and VCS-specific files
       by default. Closes: #203792, #323909
     - the patches in debian/patches can remove files. Closes: #12564
     - the patches are applied at unpack time. Closes: #463048
     - the formats "3.0 (quilt/native)" don't include VCS directories by
       default. Closes: #435126
     - the format "3.0 (custom)" can be used to create a source package
       containing arbitrary files. It's useful for helper tools that can
       generate the files by themselves in a more efficient way
       (like all the *-buildpackage tools). Closes: #246918
     - the formats "3.0 (git/bzr)" are experimental formats based
       on corresponding VCS repositories. Thanks to Joey Hess and Colin Watson
       respectively.
   * dpkg-source has a new --no-check option. It disables GPG check and
     checksums checks. Closes: #220758
   * dpkg-shlibdeps is now able to look into directories containing libraries
     used by cross-built binaries provided that the right environment variable
     are set. Closes: #453267
   * Change default value of LDFLAGS (set by dpkg-buildpackage) to ''
     instead of '-Wl,-Bsymbolic-functions'. It's safer at this point of the
     release cycle.
   * dpkg-buildpackage will set PKG_CONFIG_LIBDIR (but not override an existing
     value) in case of cross-compilation so that pkgconfig finds .pc files
     in the directory specific to the target architecture. Closes: #439979
 .
   [ Frank Lichtenheld ]
   * Add a warning in dpkg-buildpackage if the build-dependencies are not
     satisfied during -S. Closes: #445552
   * Add a missing space in the German scripts translation. Closes: #463398
   * Add improved deb-shlibs.5 manual page by Zack Weinberg. Closes: #466135
   * dpkg-buildpackage exports some build related environment variables
     now. Based on a patch by Matthias Klose. Closes: #465282
     (See dpkg-buildpackage(1) and https://wiki.ubuntu.com/DistCompilerFlags
      for details)
   * Add support for use of SHA1 and SHA256 checksums in .dsc and
     .changes files. Information will be available in Checksums-Sha{1,256}
     fields. .changes format version increased to 1.8.
   * Link dselect against libncursesw. Closes: #466321
   * Forward port a patch from the old changelog parser to the new
     one that got lost during the transition. '+' and '.' can now
     be used in distribution names yet again. Reported by dann frazier.
     Closes: #467470
 .
   [ Updated dpkg translations ]
   * Korean (Changwoo Ryu).
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrişor).
   * Slovak (Ivan Masár). Closes: #471342
   * Swedish (Peter Karlsson).
   * Thai (Theppitak Karoonboonyanan). Closes: #468916
 .
   [ Updated manpages translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Basque. (Piarres beobide). Closes: #462403
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrişor).
Files: 
 56444961ee40787d3ea5021dcc06a876 1205 admin required dpkg_1.14.17.dsc
 0ca6340578ada3e552d65da20a156f63 6379035 admin required dpkg_1.14.17.tar.gz
 358289c629a4b576fc2b442c7651a415 2122620 admin required dpkg_1.14.17_i386.deb
 84ab760fccbd19f8471d0699adbcd5a0 736746 admin optional dselect_1.14.17_i386.deb
 faca7bfb16abe077738e7607379d64ec 626054 utils optional dpkg-dev_1.14.17_all.deb
Checksums-Sha1: 
 cac35895c30cbd70ab57139306353ee0168aa29e 968 dpkg_1.14.17.dsc
 15faa3d798821d27b05fc09a3250fb26bacfb4a4 6379035 dpkg_1.14.17.tar.gz
 fc2c83f6f73b59dd173d944ad2dbf456725b6728 2122620 dpkg_1.14.17_i386.deb
 22214ad294485c59baa3c268d89f44e4e7e5b76f 736746 dselect_1.14.17_i386.deb
 913250129eef33396fcbed06aa051d5d19d3460c 626054 dpkg-dev_1.14.17_all.deb
Checksums-Sha256: 
 59d7e12cf3ab6096a27c87b3181a9c950574398dd38c83afbad5493035b581f4 968 dpkg_1.14.17.dsc
 9c45ae389e305a76070340415169383ae1126c1e7e77376c16feaf35cc40b6d2 6379035 dpkg_1.14.17.tar.gz
 4e8f8a1d24aaa7584fc94aaa7f40d87b4a8bf66bfdc31cc2a4a6a0b66c656c2d 2122620 dpkg_1.14.17_i386.deb
 4b788d10b1779ea032dea864aebfc7171607c7a5de6a71a39f7b190b679e81a7 736746 dselect_1.14.17_i386.deb
 a598e6468317c6401593c5830fc7c7380f0acdce8dc61c45b07157834c92eb18 626054 dpkg-dev_1.14.17_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH72VTuW9ciZ2SjJsRAtvcAKC3lKxZP+TcJkXuNk2YrhWMr54UJgCgp/Es
81b/wWSjXuYpn8Vku+tiby8=
=y/qC
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yves Arrouye <Yves.Arrouye@marin.fdn.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 May 2008 07:30:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:20:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.